import { style } from '@vanilla-extract/css';
import { DefaultReset, color, config, toRem } from 'folds';

export const ShortcutList = style([
  DefaultReset,
  {
    margin: 0,
  },
]);

export const ShortcutRow = style({
  padding: `${config.space.S100} 0`,
});

export const ShortcutTerm = style([
  DefaultReset,
  {
    flexGrow: 1,
  },
]);

export const ShortcutKeys = style([
  DefaultReset,
  {
    display: 'flex',
    alignItems: 'center',
    gap: config.space.S100,
    flexShrink: 0,
  },
]);

export const Kbd = style([
  DefaultReset,
  {
    display: 'inline-flex',
    alignItems: 'center',
    justifyContent: 'center',
    minWidth: toRem(20),
    padding: `0 ${config.space.S200}`,
    height: toRem(24),
    fontFamily: 'inherit',
    fontSize: toRem(12),
    lineHeight: toRem(24),
    color: color.SurfaceVariant.OnContainer,
    backgroundColor: color.SurfaceVariant.Container,
    border: `${config.borderWidth.B300} solid ${color.SurfaceVariant.ContainerLine}`,
    borderRadius: config.radii.R300,
  },
]);
